[
{
    blockid=general;
    help=service_general_general;
    custom="com.netscape.management.msgserv.ServiceGeneralControl";
    localvar={
	/* translate this block */
	.header.text="Contr\u00f4le de processus";
	.dialogheader.text="Contr\u00f4le du processus de Messaging Server";

	.service.general.status.border=[titled, "\u00c9tat du service"];

	.service.text="Service";
	.onoff.text="Actif/Inactif";

	.startall.text="Tout d\u00e9marrer";
	.stopall.text="Tout arr\u00eater";

	.start.ok="Le service a bien \u00e9t\u00e9 d\u00e9marr\u00e9.";
	.start.error="Impossible de d\u00e9marrer le service.";
	.stop.ok="Le service a bien \u00e9t\u00e9 arr\u00eat\u00e9.";
	.stop.error="Impossible d'arr\u00eater le service.";
	
	.start.ha= "Une configuration HA a \u00e9t\u00e9 d\u00e9tect\u00e9e sur le syst\u00e8me. Utilisez la commande HA pour d\u00e9marrer correctement Messaging Server.";
	.stop.ha= "Une configuration HA a \u00e9t\u00e9 d\u00e9tect\u00e9e sur le syst\u00e8me. Utilisez la commande HA pour arr\u00eater correctement Messaging Server.";
    };
    layout=[gridbag];
    content=[
	{
	    ctrl=label;
	    text=$.header.text;
	    font=["","",16];
	    wrap=$g.label.size5;
	    constraint={
		gridx=0;
		gridy=0;
		weightx=1;
		fill=h;
		insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=separator;
	    constraint={
		gridx=0;
		gridy=1;
		weightx=1;
		fill=h;
		insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=table;
	    id=processtable;
	    showadd=false;
	    showdelete=false;
	    buttonsat=east;
	    visiblerows=7;
	    constraint={
		gridx=0;
		gridy=2;
		weightx=1;
		fill=h;
		insets=$g.insets.comp;
	    }
	    columns=[
		{
		    header=$.service.text;
		    width=78;
		},
		{
		    header=$.onoff.text;
		    width=260;
		}
	    ];
	    buttons=[
		{
		    text=$g.start.text;
		    cmd=".service.start";
		},
		{
		    text=$g.stop.text;
		    cmd=".service.stop";
		},
		{
		    text=$.startall.text;
		    cmd=".service.startall";
		},
		{
		    text=$.stopall.text;
		    cmd=".service.stopall";
		}
	    ];
	},
	{
	    ctrl=pane;
	    id=statcontainer;
	    layout=[ybox];
	    border=$.service.general.status.border;
	    constraint={
		gridx=0;
		gridy=3;
		weightx=1;
		weighty=1;
		fill=h;
		anchor=northwest;
		insets=$g.insets.comp;
	    }
	}
    ]
},
{
    blockid=imapstat;
    localvar={
	.lastconnect.text="Heure de derni\u00e8re connexion :";
	.totalconnect.text="Nombre total de connexions :";
	.currentconnect.text="Nombre de connexions en cours :";
	.failedconnect.text="Nombre de connexions ayant \u00e9chou\u00e9 :";
	.failedlogin.text="Nombre de sessions ayant \u00e9chou\u00e9 :";
    };
    content=[
	{
	    ctrl=pane;
	    content=[
		{
		    ctrl=label;
		    text=$.lastconnect.text;
		    wrap=$g.label.size2;
		},
		{
		    ctrl=rigid;
		},
		{
		    ctrl=timelabel;
		    text=$sys.imap.global.lastConnectionTime.value;
		    wrap=$g.label.size2;
		}
	    ]
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=pane;
	    content=[
		{
		    ctrl=label;
		    text=$.totalconnect.text;
		    wrap=$g.label.size2;
		},
		{
		    ctrl=rigid;
		},
		{
		    ctrl=label;
		    text=$sys.imap.global.numConnections.value;
		    wrap=$g.label.size2;
		}
	    ]
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=pane;
	    content=[
		{
		    ctrl=label;
		    text=$.currentconnect.text;
		    wrap=$g.label.size2;
		},
		{
		    ctrl=rigid;
		},
		{
		    ctrl=label;
		    text=$sys.imap.global.numCurrentConnections.value;
		    wrap=$g.label.size2;
		}
	    ]
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=pane;
	    content=[
		{
		    ctrl=label;
		    text=$.failedconnect.text;
		    wrap=$g.label.size2;
		},
		{
		    ctrl=rigid;
		},
		{
		    ctrl=label;
		    text=$sys.imap.global.numFailedConnections.value;
		    wrap=$g.label.size2;
		}
	    ]
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=pane;
	    content=[
		{
		    ctrl=label;
		    text=$.failedlogin.text;
		    wrap=$g.label.size2;
		},
		{
		    ctrl=rigid;
		},
		{
		    ctrl=label;
		    text=$sys.imap.global.numFailedLogins.value;
		    wrap=$g.label.size2;
		}
	    ]
	}
    ]
},
{
    blockid=httpstat;
    localvar={
	.lastconnect.text="Heure de derni\u00e8re connexion :";
	.totalconnect.text="Nombre total de connexions :";
	.currentconnect.text="Nombre de connexions en cours :";
	.failedconnect.text="Nombre de connexions ayant \u00e9chou\u00e9 :";
	.failedlogin.text="Nombre de sessions ayant \u00e9chou\u00e9 :";
    };
    content=[
	{
	    ctrl=pane;
	    content=[
		{
		    ctrl=label;
		    text=$.lastconnect.text;
		    wrap=$g.label.size2;
		},
		{
		    ctrl=rigid;
		},
		{
		    ctrl=timelabel;
		    text=$sys.http.global.lastConnectionTime.value;
		    wrap=$g.label.size2;
		}
	    ]
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=pane;
	    content=[
		{
		    ctrl=label;
		    text=$.totalconnect.text;
		    wrap=$g.label.size2;
		},
		{
		    ctrl=rigid;
		},
		{
		    ctrl=label;
		    text=$sys.http.global.numConnections.value;
		    wrap=$g.label.size2;
		}
	    ]
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=pane;
	    content=[
		{
		    ctrl=label;
		    text=$.currentconnect.text;
		    wrap=$g.label.size2;
		},
		{
		    ctrl=rigid;
		},
		{
		    ctrl=label;
		    text=$sys.http.global.numCurrentConnections.value;
		    wrap=$g.label.size2;
		}
	    ]
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=pane;
	    content=[
		{
		    ctrl=label;
		    text=$.failedconnect.text;
		    wrap=$g.label.size2;
		},
		{
		    ctrl=rigid;
		},
		{
		    ctrl=label;
		    text=$sys.http.global.numFailedConnections.value;
		    wrap=$g.label.size2;
		}
	    ]
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=pane;
	    content=[
		{
		    ctrl=label;
		    text=$.failedlogin.text;
		    wrap=$g.label.size2;
		},
		{
		    ctrl=rigid;
		},
		{
		    ctrl=label;
		    text=$sys.http.global.numFailedLogins.value;
		    wrap=$g.label.size2;
		}
	    ]
	}
    ]
},
{
    blockid=popstat;
    localvar={
	.lastconnect.text="Heure de derni\u00e8re connexion :";
	.totalconnect.text="Nombre total de connexions :";
	.currentconnect.text="Nombre de connexions en cours :";
	.failedconnect.text="Nombre de connexions ayant \u00e9chou\u00e9 :";
	.failedlogin.text="Nombre de sessions ayant \u00e9chou\u00e9 :";
    };
    content=[
	{
	    ctrl=pane;
	    content=[
		{
		    ctrl=label;
		    text=$.lastconnect.text;
		    wrap=$g.label.size2;
		},
		{
		    ctrl=rigid;
		},
		{
		    ctrl=timelabel;
		    text=$sys.pop.global.lastConnectionTime.value;
		    wrap=$g.label.size2;
		}
	    ]
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=pane;
	    content=[
		{
		    ctrl=label;
		    text=$.totalconnect.text;
		    wrap=$g.label.size2;
		},
		{
		    ctrl=rigid;
		},
		{
		    ctrl=label;
		    text=$sys.pop.global.numConnections.value;
		    wrap=$g.label.size2;
		}
	    ]
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=pane;
	    content=[
		{
		    ctrl=label;
		    text=$.currentconnect.text;
		    wrap=$g.label.size2;
		},
		{
		    ctrl=rigid;
		},
		{
		    ctrl=label;
		    text=$sys.pop.global.numCurrentConnections.value;
		    wrap=$g.label.size2;
		}
	    ]
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=pane;
	    content=[
		{
		    ctrl=label;
		    text=$.failedconnect.text;
		    wrap=$g.label.size2;
		},
		{
		    ctrl=rigid;
		},
		{
		    ctrl=label;
		    text=$sys.pop.global.numFailedConnections.value;
		    wrap=$g.label.size2;
		}
	    ]
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=pane;
	    content=[
		{
		    ctrl=label;
		    text=$.failedlogin.text;
		    wrap=$g.label.size2;
		},
		{
		    ctrl=rigid;
		},
		{
		    ctrl=label;
		    text=$sys.pop.global.numFailedLogins.value;
		    wrap=$g.label.size2;
		}
	    ]
	}
    ]
},
{
    blockid=smtpstat;
    localvar={
        .storedmsgs.text="Nombre de messages enregistr\u00e9s :";
        .transmittedmsgs.text="Nombre de messages envoy\u00e9s :";
        .receivedmsgs.text="Nombre de messages re\u00e7us :";
        .outqmsgs.text="Messages sortants en file d'attente :";
        .inqmsgs.text="Messages entrants en file d'attente :";
    };
    content=[
	{
	    ctrl=pane;
	    content=[
		{
		    ctrl=label;
		    text=$.storedmsgs.text;
		    wrap=$g.label.size2;
		},
		{
		    ctrl=rigid;
		},
		{
		    ctrl=timelabel;
		    text=$sys.smtp.global.StoredMessages.value;
		    wrap=$g.label.size2;
		}
	    ]
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=pane;
	    content=[
		{
		    ctrl=label;
		    text=$.transmittedmsgs.text;
		    wrap=$g.label.size2;
		},
		{
		    ctrl=rigid;
		},
		{
		    ctrl=label;
		    text=$sys.smtp.global.TransmittedMessages.value;
		    wrap=$g.label.size2;
		}
	    ]
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=pane;
	    content=[
		{
		    ctrl=label;
		    text=$.receivedmsgs.text;
		    wrap=$g.label.size2;
		},
		{
		    ctrl=rigid;
		},
		{
		    ctrl=label;
		    text=$sys.smtp.global.ReceivedMessages.value;
		    wrap=$g.label.size2;
		}
	    ]
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=pane;
	    content=[
		{
		    ctrl=label;
		    text=$.outqmsgs.text;
		    wrap=$g.label.size2;
		},
		{
		    ctrl=rigid;
		},
		{
		    ctrl=label;
		    text=$sys.smtp.global.numOutgoingQueueMessages.value;
		    wrap=$g.label.size2;
		}
	    ]
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=pane;
	    content=[
		{
		    ctrl=label;
		    text=$.inqmsgs.text;
		    wrap=$g.label.size2;
		},
		{
		    ctrl=rigid;
		},
		{
		    ctrl=label;
		    text=$sys.smtp.global.numInComingQueueMessages.value;
		    wrap=$g.label.size2;
		}
	    ]
	}
    ]
}
]
